Update an existing user

Update an active, existing user in Bonusly. If a user already exists with the specified userName the API will return a 409.

  • Parameters:
    • userName (string, required) - A unique identifier for the user. This will be imported into Bonusly as the user's email.
    • name.givenName (string, optional) - This will be imported into Bonusly as the user's firstName.
    • name.familyName (string, optional) - This will be imported into Bonusly as the user's lastName.
    • addresses.country (string, optional) - This will be imported into Bonusly as the user's country when addresses.type is work.
    • externalId (string, optional) - This will be imported into Bonusly as the user's external_unique_id.
    • addresses[country] (string, optional) - This will be imported into Bonusly as the user's country when addresses[type] is work
      • This should be a valid ISO 3166-1 alpha-2 country code.
      • When configuring this in Okta you need to create an attribute with the External Name addresses.^[type=='work'].country and the External namespace of urn:scim:schemas:core:1.0
    • urn:scim:schemas:extension:enterprise:1.0.department (string, optional) - This will be imported into Bonusly as the user's department custom property.
    • urn:scim:schemas:extension:bonusly:1.0:User.preferred_first_name (string, optional) - This will be imported into Bonusly as the user's preferred_first_name.
    • urn:scim:schemas:extension:bonusly:1.0:User.location (string, optional) - This will be imported into Bonusly as the user's location custom property.
    • urn:scim:schemas:extension:bonusly:1.0:User.employee_id (string, optional) - This will be imported into Bonusly as the user's employee_id custom property.
    • urn:scim:schemas:extension:bonusly:1.0:User.role (string, optional) - This will be imported into Bonusly as the user's role custom property.
    • urn:scim:schemas:extension:bonusly:1.0:User.job_title (string, optional) - This will be imported into Bonusly as the user's job_title custom property.
    • urn:scim:schemas:extension:bonusly:1.0:User.division (string, optional) - This will be imported into Bonusly as the user's division custom property.
    • urn:scim:schemas:extension:bonusly:1.0:User.business_unit (string, optional) - This will be imported into Bonusly as the user's business_unit custom property. This will be imported into Bonusly as the user's user_mode - defaults to "normal", can be "benefactor" or "receiver".
    • urn:scim:schemas:extension:bonusly:1.0:User.manager_email (string, optional) - This will be imported into Bonusly as the user's manager_email - this will set the user's manager to the existing user with the matching e-mail address.
    • urn:scim:schemas:extension:bonusly:1.0:User.hired_on (string, optional) - format: YYYY-MM-DD This will be imported into Bonusly as the user's hired_on.
    • urn:scim:schemas:extension:bonusly:1.0:User.date_of_birth (string, optional) - format: YYYY-MM-DD. This will be imported into Bonusly as the user's date_of_birth. Bonusly only stores the month and day. The year will be stripped.
    • urn:scim:schemas:extension:bonusly:1.0:User.cost_center (string, optional) - This will be imported into Bonusly as the user's cost_center.
    • urn:scim:schemas:extension:bonusly:1.0:User.time_zone (string, optional) - This will be imported into Bonusly as the user's time_zone. Value must be a valid IANA time zone identifier.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the user

Body Params
urn:scim:schemas:extension:enterprise:1.0
object
Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json